## org.apache.poi.ss.formula.eval
Interface RefEval

All Superinterfaces:
  ValueEval

All Known Implementing Classes:
  RefEvalBase

    public interface RefEval

extends ValueEval

Author:
  Amol S Deshmukh < amolweb at ya hoo dot com > RefEval is the super interface for Ref2D and Ref3DEval. Basically a RefEval impl should contain reference to the original ReferencePtg or Ref3DPtg as well as the final "value" resulting from the evaluation of the cell reference. Thus if the Cell has type CELL_TYPE_NUMERIC, the contained value object should be of type NumberEval; if cell type is CELL_TYPE_STRING, contained value object should be of type StringEval

Method Summary
`int` `getColumn()` returns the zero based column index.
`ValueEval` `getInnerValueEval()`
`int` `getRow()` returns the zero based row index.
`AreaEval` `offset(int relFirstRowIx, int relLastRowIx, int relFirstColIx, int relLastColIx)` Creates an `AreaEval` offset by a relative amount from this RefEval

Method Detail

### getInnerValueEval

    ValueEval getInnerValueEval()

  Returns:
    the evaluated value of the cell referred to by this RefEval.

### getColumn

    int getColumn()

  returns the zero based column index.

### getRow

    int getRow()

  returns the zero based row index.

### offset

    AreaEval offset(int relFirstRowIx,
                    int relLastRowIx,
                    int relFirstColIx,
                    int relLastColIx)

  Creates an `AreaEval` offset by a relative amount from this RefEval

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.